datacache <- new.env(hash=TRUE, parent=emptyenv())

hthgu133ahsentrezg <- function() showQCData("hthgu133ahsentrezg", datacache)
hthgu133ahsentrezg_dbconn <- function() dbconn(datacache)
hthgu133ahsentrezg_dbfile <- function() dbfile(datacache)
hthgu133ahsentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hthgu133ahsentrezg_dbInfo <- function() dbInfo(datacache)

hthgu133ahsentrezgORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hthgu133ahsentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hthgu133ahsentrezg", "chip hthgu133ahsentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hthgu133ahsentrezg_dbconn())
}

